%define		major		1
%define		libname		%mklibname pugixml %{major}
%define		develname	%mklibname pugixml -d

Name:		pugixml
Version:	1.11.3
Release:	%mkrel 1
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
License:	MIT
URL:		http://pugixml.org
Source0:	http://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		pugixml-1.10-enable-long_long-support.patch
BuildRequires:	cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{libname}
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
Obsoletes:  %{name}
Provides:   %{name} = %{version}-%{release}
Obsoletes:  lib64OpenImageIO1.2

%description -n %{libname}
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{develname}
Summary:	Development files for %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for package %{name} library.

%prep
%setup -q
%apply_patches

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_includedir}/*.hpp
%{_libdir}/pkgconfig/pugixml.pc

%changelog
* Sun Dec 20 2020 tex - 1.11.3-1pclos2021
- new version

* Sun Nov 01 2020 tex - 1.10-3pclos2020
- add patch for filezilla

* Fri Sep 20 2019 tex - 1.10-2pclos2019
- obsolete lib64OpenImageIO1.2 too

* Thu Sep 19 2019 tex - 1.10-1pclos2019
- new version

* Tue Apr 17 2018 bb2 <bb2> - 1.9-1pclos2018
- new version
